#!/usr/bin/bash

export PATH="/home/$USER/anaconda3/bin:$PATH"

cd /home/$USER/mlec-sim/src

parse_nines() {
  local output="$1"

  while IFS= read -r line; do
    if [[ $line =~ nines:[[:space:]]([0-9.]+) ]]; then
      local nines="${BASH_REMATCH[1]}"
      echo "$nines"
    fi
  done <<< "$output"
}

total_nines=0

commands=(
    "python main.py -afr=1 -k_local=2 -p_local=1 -io_speed=40 -total_drives=57600 -drives_per_rack=960 -spool_size=120 -placement=SLEC_LOCAL_DP -concur=96 -iter=10000 -sim_mode=1 -repair_scheme=0 -interrack_speed=999999999999999999 -detection_time=30 -num_local_fail_to_report=2" 
)

# Use the splitting method to run simulation in multple stages.

for command in "${commands[@]}"; do
  output=$(eval "$command")
  output_nines=$(parse_nines "$output")
  total_nines=$(bc <<< "$total_nines + $output_nines")
done

echo "SLEC_LOCAL_CP 2+1 durability: $total_nines"
echo "SLEC_LOCAL_CP 2+1 $total_nines_rs3" >> slec-local-cp-dur.dat